> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shows a delivery



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml get /api/public/buyer/v1/deliveries/{id}
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/deliveries/{id}:
    get:
      tags:
        - Deliveries
      summary: Shows a delivery
      parameters:
        - name: id
          in: path
          example: 99999a99-b888-777c-666d-55555555555e
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Delivery found
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 99999a99-b888-777c-666d-55555555555e
                  url:
                    type: string
                    example: >-
                      https://app.chemcloud.com.au/buyer/deliveries/99999a99-b888-777c-666d-55555555555e
                  order_id:
                    type: string
                    format: uuid
                    example: 99999a99-b888-777c-666d-55555555555e
                  reference:
                    type: string
                    nullable: true
                    example: DEL-001
                  status:
                    type: string
                    enum:
                      - requested
                      - confirmed
                      - shipped
                      - in_port
                      - delivered
                      - partially_delivered
                    example: requested
                  fulfilment_entity:
                    type: string
                    enum:
                      - chemcloud
                      - supplier
                    example: chemcloud
                  required_date:
                    type: string
                    format: date
                    nullable: true
                    example: '2025-12-31'
                  estimated_time_of_departure:
                    type: string
                    format: date-time
                    nullable: true
                    example: '2025-12-31T23:13:11.862Z'
                  estimated_time_of_arrival:
                    type: string
                    format: date-time
                    nullable: true
                    example: '2025-12-31T23:13:11.862Z'
                  actual_time_of_departure:
                    type: string
                    format: date-time
                    nullable: true
                    example: '2025-12-31T23:13:11.862Z'
                  estimated_port_arrival_date:
                    type: string
                    format: date-time
                    nullable: true
                    example: '2025-12-31T23:13:11.862Z'
                  actual_port_arrival_date:
                    type: string
                    format: date-time
                    nullable: true
                    example: '2025-12-31T23:13:11.862Z'
                  delivered_at:
                    type: string
                    format: date-time
                    nullable: true
                    example: '2025-12-31T23:13:11.862Z'
                  tracking_number:
                    type: string
                    nullable: true
                    example: TRACK-001
                  tracking_url:
                    type: string
                    nullable: true
                    example: https://tracking.example.com/TRACK-001
                  container_numbers:
                    type: array
                    items:
                      type: string
                    example:
                      - CONT-001
                  container_number:
                    type: string
                    nullable: true
                    example: CONT-001
                  tags:
                    type: array
                    items:
                      type: object
                      properties:
                        group:
                          type: string
                          example: Shipment Type
                        name:
                          type: string
                          example: Urgent
                  order_attributes:
                    type: object
                    properties:
                      purchase_order_reference:
                        type: string
                        nullable: true
                        example: PO-001
                      purchase_order_line_reference:
                        type: string
                        nullable: true
                        example: '1'
                      supplier_order_reference:
                        type: string
                        nullable: true
                        example: SO-001
                  additional_data:
                    type: object
                    properties:
                      product:
                        type: object
                        properties:
                          buyer_product_display_name:
                            type: string
                            nullable: true
                            example: Sodium Hydroxide 50%
                      supplier:
                        type: object
                        properties:
                          supplier_name:
                            type: string
                            nullable: true
                            example: Supplier Co
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
        '404':
          description: Delivery not found
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````